Bug 139374 - ext3 data=journal with external journal deadlock
ext3 data=journal with external journal deadlock
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Stephen Tweedie
Brian Brock
:
Depends On:
Blocks: 132991
  Show dependency treegraph
 
Reported: 2004-11-15 12:28 EST by Jure Pečar
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:14:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jure Pečar 2004-11-15 12:28:02 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux ppc; rv:1.7.3) Gecko/20041014
Firefox/0.10.1

Description of problem:
There was a deadlock bug in full data journaling for ext3 in 2.4.21
that got fixed aroud 2.4.23 iirc. This bug still exists in RHEL kernel
and is making it unusuable for busy mailservers, for example.

Version-Release number of selected component (if applicable):
kernel-2.4.21-20.EL

How reproducible:
Always

Steps to Reproduce:
1.Configure ext3 with data=journal and large external journal
2.Run bonnie++ on it with data size about 10 times the amount of ram
    

Actual Results:  System reproducibly freezes, usualy in the "writing
inteligently" stage.

Expected Results:  Bonnie++ run should finish as expected.

Additional info:

I tested this on single cpu machine with 384mb ram, uniprocessor
kernel, system on ide drive, ext3 partition in question on one scsi
drive and its external journal on another scsi drive. The external
journal I created is 400mb.
Comment 1 RHEL Product and Program Management 2007-10-19 15:14:08 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.